Relesys API Docs

v1.4

https://api.uat.relesystest.net/api/v1.4

Stage Reviews

List
GET /serviceformModules/{moduleId}/forms/{formId}/stagereviews
https://api.uat.relesystest.net/api/v1.4/serviceformModules/{moduleId}/forms/{formId}/stagereviews
Get a list of stage reviews for the form with ID formId

Please note: This endpoint is only available if stages are enabled on the service form module as well as stage approvals on the specific form.

status - This field displays the status of the review. Currently, the available statuses to filter on are:
  • Pending
  • Approved
  • Rejected

Scopes: relesys.api, relesys.api:read, relesys.api.serviceform, relesys.api.serviceform:read
URL Path
moduleId string / guid required
formId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
fillingId string / guid Filterable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
reviewDateTime datetimeoffset Filterable Sortable optional
stageId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"c3210631-5e72-4400-8cbc-8a1b150f393a","url":null,"stageId":"93de0dfc-96cb-4a4e-ab9a-d3a4a9ae8de3","stageUrl":null,"fillingId":"bbe2a108-407a-4e23-9799-647b498766b1","fillingUrl":null,"userId":"7f385adc-731b-4a33-9d40-ea715bf53d7b","userUrl":null,"status":"Approved","reviewDateTime":"2026-10-24T06:21:09.7249206+00:00","creationDateTime":"2026-10-24T06:21:09.7249206+00:00","lastModifiedDateTime":"2026-10-26T06:21:09.7249206+00:00"},{"id":"0b288c75-50f3-4d02-8128-ad9158d65081","url":null,"stageId":"3e4b62b1-56e6-4b80-985c-29e47a692086","stageUrl":null,"fillingId":"934037e0-bbfd-43c2-ba79-efea494fd696","fillingUrl":null,"userId":null,"userUrl":null,"status":"Pending","reviewDateTime":null,"creationDateTime":"2026-10-24T06:21:09.7249206+00:00","lastModifiedDateTime":null}]}
object
  count integer      
  ⯈ data array[object]      
   creationDateTime datetimeoffset      
   fillingId string / guid      
   fillingUrl string      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   reviewDateTime datetimeoffset      
   stageId string / guid      
   stageUrl string      
   status string      
   url string      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string